\section{Integer Program}

\begin{frame}{Integer Program}
    \textbf{Index Notation:}
    \begin{itemize}
        \item Levels $i\in\{1,...,k\}$
        \item Facilities $j\in\{1,...,m\}$
        \item Locations $l\in\{1,...,n\}$
    \end{itemize}
    \textbf{Variables:} $x_{ij},z_{il}\in\{0,1\}$, where\\
    \begin{itemize}
        \item $x_{ij}=1 \Leftrightarrow f_j\in X_i$
        \item $z_{il}=1 \Leftrightarrow v_l\in V_i'$
    \end{itemize}
    \textbf{Constants:}
    \begin{itemize}
        \item $m_{ij}:=
            \begin{cases}
                1,& f_j\in F_i\\
                0,& f_j\notin F_i
            \end{cases}$
    \end{itemize}
\end{frame}

\begin{frame}{Integer Program}
    \begin{block}{Integer Program for CFR}
        \begin{align*}
            \min\quad& \sum_{j=1}^m x_{ij}, \quad i=1,...,k \\
            \text{s.t.} \quad &x_{ij}\leq m_{ij} \quad \forall i,j \\
            &x_{ij}-x_{(i-1)j} \leq 0 \quad \forall i\geq 2,j \\
            &\sum_{l=1}^n p(v_l) z_{il} \geq (1-\alpha) p(V) \quad \forall i\\
            &\sum_{\mathclap{\substack{f_j\in F_i \\ v_l\in B_{d_i}(f_j)}}} x_{ij} \geq z_{il} \quad \forall i,l\\
            &x_{ij},z_{il} \in\{0,1\} \quad \forall i\in\{1,...,k\},j\in\{1,...,m\},l\in\{1,...,n\}
        \end{align*}
    \end{block}
\end{frame}